npm

Need private packages and team management tools?Check out npm Orgs. »

error-if-not-populated-array

1.0.2 • Public • Published

errorIfNotPopulatedArray(arg): void

Function triggers error if arg is not an array with at least one item.

Examples

errorIfNotPopulatedArray([]);
// Error: "Input must be an array that is not empty"

errorIfNotPopulatedArray(8);
// Error: "Input must be array."

Installation

npm i error-if-not-populated-array

Loading

// if using TypeScript:
import { errorIfNotPopulatedArray } from 'error-if-not-populated-array';
// if using ES5 JavaScript:
var errorIfNotPopulatedArray = 
    require('error-if-not-populated-array').errorIfNotPopulatedArray;

install

npm i error-if-not-populated-array

Downloadsweekly downloads

20

version

1.0.2

license

MIT

last publish

collaborators

  • avatar
Report a vulnerability